Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class DescribeTriggersResult

    java.lang.Object
      com.amazonaws.services.autoscaling.model.DescribeTriggersResult

    public class DescribeTriggersResult

extends Object

Constructor Summary
`DescribeTriggersResult()`

Method Summary
`List<Trigger>` | `getTriggers()`
`void` | `setTriggers(Collection<Trigger> triggers)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeTriggersResult` | `withTriggers(Collection<Trigger> triggers)` Returns a reference to this object so that method calls can be chained together.
`DescribeTriggersResult` | `withTriggers(Trigger... triggers)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeTriggersResult

    public DescribeTriggersResult()

Method Detail

### getTriggers

    public List<Trigger> getTriggers()

  Returns:

### setTriggers

    public void setTriggers(Collection<Trigger> triggers)

  Parameters:
    `triggers` -

### withTriggers

    public DescribeTriggersResult withTriggers(Trigger... triggers)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `triggers` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withTriggers

    public DescribeTriggersResult withTriggers(Collection<Trigger> triggers)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `triggers` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.